<template>
  <div>
    <ErrorComponent />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api, apiLocal } from "~/common/constaint";
import { resources } from "~/interfaces/api";

@Component({
  components: {
    ErrorComponent: () => import("@/components/Error/index.vue"),
  },
})
export default class ErrorPage extends Vue {
  head() {
    return {
      title:
        (this.$store.state.setting.siteInfo &&
          this.$store.state.setting.siteInfo.storeName +
            " - " +
            this.$store.state?.setting?.siteInfo?.productName) ||
        "",
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }
}
</script>
